This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838741 - [RFE] thinkpad_acpi.ko support for Lenovo Thinkpad L520
[RFE] thinkpad_acpi.ko support for Lenovo Thinkpad L520
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: 6.4
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: FutureFeature, HardwareEnablement, Triaged
Depends On:
Blocks: 752473 846704
  Show dependency treegraph
 
Reported: 2012-07-09 21:19 EDT by Platform RFE
Modified: 2015-11-13 13:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 13:06:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Platform RFE 2012-07-09 21:19:39 EDT
** Original comment by rdassen@redhat.com **

# What is the nature and description of the request?

The customer is doing hardware testing. But he finds that the thinkpad_acpi
module can't be loaded.

[root@localhost /]# modprobe thinkpad_acpi
FATAL: Error inserting thinkpad_acpi (/lib/modules/2.6.32-131.0.15.el6.i686/kernel/drivers/platform/x86/thinkpad_acpi.ko): No such device


        # Why does the customer need this? (List the business requirements
        here)

The customer is a hardware vendor. And they are testing the new machine whose
model is thinkpad L520.


        # How would the customer like to achieve this? (List the functional
        requirements here)

Now the customer finds the thinkpad T520 machine can use the thinkpad_acpi
model in RHEL6.1. But they want also to use this module with L520 machine.


        # For each functional requirement listed in question 4, specify how Red
        Hat and the customer can test to confirm the requirement is
        successfully implemented.

Now the customer finds the thinkpad T520 machine can use the thinkpad_acpi
model in RHEL6.1.


        # Is there already an existing RFE upstream or in Red Hat bugzilla?

I find the RFE upstream, but I don't find useful code to this case.
And from the website http://www.thinkwiki.org/wiki/Thinkpad-acpi, I also don't
find the thinkpad_acpi driver for L520.


        # Does the customer have any specific timeline dependencies?

As they are doing hardware testing. And they want this machine can be passed
the testing.


        # Is the sales team involved in this request and do they have any
        additional input?

No.

        # List any affected packages

Kernel(RHEL6.1)


        # Would the customer be able to assist in testing this functionality if
        implemented?

Yes.
Comment 5 RHEL Product and Program Management 2012-12-14 02:12:12 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 John Shortt 2015-11-13 13:06:34 EST
Closing due to lack of attention or information. If you believe this request is still valid, feel free to open a new BZ against the latest version of RHEL6.

Thanks

Note You need to log in before you can comment on or make changes to this bug.